<?php

use conf\Config;
use db\access\User;

include("../modules/localization.php");

/**
 * Generated by PHPUnit_SkeletonGenerator on 2015-08-24 at 12:02:47.
 */
class EmailTest extends \PHPUnit_Framework_TestCase {

    /**
     * @var Email
     */
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp() {
        $this->object = new \Email(
            Config::EMAIL_FROM, Config::EMAIL_FROM_NAME,
            "../" . Config::EMAIL_TPL_FOLDER, Config::EMAIL_SIGNATURE_TPL
        );
    }

    /**
     * Tears down the fixture, for example, closes a network connection.
     * This method is called after a test is executed.
     */
    protected function tearDown() {

    }

    /**
     * @covers \Email::sendSignUpAdminNotification
     */
    public function testSendSignUpAdminNotification() {
        $this->assertTrue(
            $this->object->sendSignUpAdminNotification(new User())
        );
    }

    /**
     * @covers \Email::sendSignUpNotification
     * @expectedException \Exception
     */
    public function testSendSignUpNotification_Exception() {
        $this->assertTrue(
            $this->object->sendSignUpNotification(new User())
        );
    }

    /**
     * @covers \Email::sendSignUpNotification
     */
    public function testSendSignUpNotification() {
        $user = new User();
        $user->email = "dmytro@asymptix.com";

        $this->assertTrue(
            $this->object->sendSignUpNotification($user)
        );
    }

}